DV360

AI Tools

DV360, also known as Display and Video 360 is Google Marketing Platform’s demand-side platform (DSP) for programmatic media buying, allowing advertisers and marketers to activate media buys with maximum control. It offers a single tool for planning campaigns, designing and managing tags, organizing and applying audience data, finding and buying inventory, and measuring and optimizing campaigns.

The primary objective of the DV360 integration is to automate the Tag export to DV360 ie. It automates the current manual process of uploading tags in DV360, allowing users to seamlessly manage their tag association in DV360 for Jivox tags.

Methods

Method Name

Method Type

Description

Get configurations list

GET

To list all the DV360 configurations created under the particular account

POST/PUT configuration

POST

To create a DV360 configuration under the particular account

DELETE specified configuration

DELETE

To delete the DV360 configuration under the particular account

GET access token and refresh token for verifying partnerId

GET

To get the authentication from the user’s Google account using OAuth2.0

GET DV360 advertisers

GET

To list all the advertisers listed under the given DV360 partnerId

POST tags to DV360

POST

To traffic tags to DV360

GET status of tagExport/cancelExport

GET

To get the status of the DV360 tag export

GET boolean value for generated tags

GET

To check whether tags have been generated for the DaVinci campaign or not

CANCEL tagExport

POST

To cancel the ongoing tag trafficking

Get configId of already processing tag Export

GET

To get the config id:

  1. On successful processing of an ongoing tag Export and

  2. On Failure

Get Configurations List

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

Sample Request

GET http://demo.stub.api.jivox.com/v2/accounts/:accountId/dv360-configurations

Sample Response

{ “configurations” : [ { "configId" : Int, “configName” : “String”, “dv360PartnerId” : Long, "dv360AdvertiserId" : Long, "dv360AdvertiserName" : “String”, "jivoxAdvertiserId": Long }, { "configId" : Int, “configName” : “String”, “dv360PartnerId” : Long, "dv360AdvertiserId" : Long, "dv360AdvertiserName" : “String”, "jivoxAdvertiserId": Long } ] }

POST/PUT configuration

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

Sample Request

POST http://demo.stub.api.jivox.com/v2/accounts/:accountId/dv360-configurations

Request Body

{ "accountId" : Int, “dv360PartnerId” : Long, “dv360AdvertiserId” : Long, "dv360AdvertiserName" : “String”, “configName” : “string” }

Sample Response

{ “status” : <STATUS_CODE>, “message” : <MESSAGE>, “warning” : <String>(Optional), “error” : <String>(Present in case of failed request, reason for failure) }

DELETE specified configuration

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

configId

string

Mandatory

path

ID of the configuration

Sample Request

DELETE http://demo.stub.api.jivox.com/v2/accounts/:accountId/dv360-configurations/:configId

Sample Response

{ “Status” : Status Code, “Message” : “String” (configId of the deleted configuration if successfull else error) }

GET Access Token and Refresh Token for verifying partnerId

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

partnerId

string

Mandatory

path

A unique ID of the partner account created under DV360.

Sample Request

GET http://demo.stub.api.jivox.com/v2/accounts/:accountId/dv360-configurations/:partnerId/auth-gateway

Authorization

User is redirected to Auth Screen where user can authorize.

Final redirect url : https://jvx.app.dev.jivox.com/studio/authstatus.php?data=

Query

Query param data is JSON of form :

{"partnerId":"5024333","message":"Authentication%20Successful","status":200}

Messages and Warnings

In case of successful authorization

  • status = 200

In case of failure

  • status=422

Example: https://jvx.app.dev.jivox.com/studio/authstatus.php?data={%22partnerId%22:%225024333%22,%22message%22:%22Authentication%20Successful%22,%22status%22:200}

GET DV360 Advertisers

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

partnerId

string

Mandatory

paths

A unique ID of the partner account created under DV360.

Sample Request

GET http://demo.stub.api.jivox.com/v2/accounts/:accountId/dv360-configurations/:partnerId/advertisers

Sample Response

STATUS CODE : 200 { "status": "SUCCESS", "advertisersList" : [ { "id" : LONG, "name" : STRING } ] } OR STATUS CODE : 500 { "status":"FAILED", "error": STRING, }

POST tags to DV360

Call to DV360 server to export tags

Parameters

No parameters

Sample Request

POST http://demo.stub.api.jivox.com/jivox/serverApis/dv360/exportTags

Request Body

{ "configId" : Int, "jivoxCampaignId" : Long }

Sample Response

{ status : <STATUS_CODE>, message : <MESSAGE>, warning : <String>(Optional), error : <String>(Present in case of failed request, reason for failure) }

Messages and Warnings

1- On successful start of exporting Tags:

  • Status Code : 202

  • Message = “Tag Export in Progress”

2- On successful export with some warning

  • Status Code : 210

  • Warning = possible warning

3- On Failure to fetch the required parameters for tagExport from db

  • Status Code : 422

  • Message = "Failed to get data from database"

4- On any other type of failure

  • Status Code : 500

  • Message and error would indicate reason for failure.

GET Status of tagExport/cancelExport

Parameters

No parameters

Sample Request

GET http://demo.stub.api.jivox.com/jivox/serverApis/dv360/checkStatus

Query Parameters

  1. configId

  2. jivoxCampaignId

Sample Response

{ status : <STATUS_CODE>, message : <MESSAGE>, warning : <String>(Optional), error : <String>(Present in case of failed request, reason for failure) }

Messages and Warnings

1- On successful export of all tags Tags

  • Status Code : 200

  • Message = “Tags exported successfully”

2- On successful export of few Tags, and few other tags as failed

  • Status Code : 200

  • Message = "Tags Export has finished, 1 tag(s) export failed"

3- On an ongoing process of exporting Tags

  • Status Code : 210

  • Message = "Tags trafficking is in progress. 20/100 tags have been associated, 1 failed"

4- On an ongoing process of cancelling Tags

  • Status Code : 310

  • Message = "Cancellation in progress, 20 tags are yet to be archived”

5- On successful cancellation of exportTags

  • Status Code:300

  • Message="Tags trafficking is stopped. 20/100 tags have been associated"

6- On successful export of few tags, and few other tags as failed:

  • Status Code : 200

  • Message = "Tags Export has finished, 1 tags export failed"

7- On Failure to fetch the required parameters for tagExport from db

  • Status Code : 422

  • Message = "Failed to get status from database"

8- On failure:500 and message and error would indicate reason for failure.

GET boolean value for generated tags(true if tags generated, false otherwise)

Parameters

No parameters

Sample Request

GET http://demo.stub.api.jivox.com/jivox/serverApis/dv360/tags

Query Parameters

  1. jivoxCampaignId

Sample Response

STATUS CODE : 200 { "status": "SUCCESS", "tagsGenerated" : "true" or "false" } OR STATUS CODE : 500 { "status":"FAILED", "error": STRING, }

Cancel tagExport

Parameters

No parameters

Sample Request

POST http://demo.stub.api.jivox.com/jivox/serverApis/dv360/cancelExport

Request Body

{ "configId" : Int, "jivoxCampaignId" : Long }

Sample Response

{ status : <STATUS_CODE>, message : <MESSAGE>, warning : <String>(Optional), error : <String>(Present in case of failed request, reason for failure) }

Messages and Warnings

1- On successful start of cancel Export

  • Status Code : 202

  • Message = “Export cancellation in progress”

2- On successful export with some warning

  • Status Code : 210

  • Warning = "possible warning"

  • Example - status code : 210, message = "Tag Exported has already completed", if the user tries to cancel after the tagExport has completed.

3- On failure

  • Status Code : 500

  • Message = "Message and Error would indicate reason for failure"

Get configId of already processing tag Export

Parameters

No parameters

Sample Request

GET http://demo.stub.api.jivox.com/jivox/serverApis/dv360/alreadyProcessing

Query Parameters

  1. jivoxCampaignId

Sample Response

{ status : <STATUS_CODE>, configId : <INTEGER>, batchId : <STRING>, message : <MESSAGE>, error : <String>(Present in case of failed request, reason for failure) }

Messages and Warnings

1- On successful processing of ongoing tag Export

  • Status Code : 200 along with configId and batchId of the ongoing tagExport

3- On failure

  • Status Code : 422 (For Database error) or 500(For any other exception)